Disallow zero-length entity
[claws.git] / INSTALL
1 Installation
2 ============
3
4 This program requires GTK+ 2.24 or higher to be compiled.
5
6 Build it
7 ========
8
9 If you're using a package-based system, please make sure that gtk-devel
10 and glib-devel (or similar) packages are installed before the compilation
11 (you may also require flex (lex),  and bison (yacc)).
12
13 To compile and install, just type:
14
15 % ./configure
16 % make
17 % su
18 Password: [Enter password]
19 # make install
20
21 To run, just type:
22
23 % claws-mail
24
25
26 Additional libraries or programs
27 ================================
28 only needed if you require the additional functionality
29
30 Bogofilter
31     for Bogofilter plugin support
32     http://bogofilter.sourceforge.net/
33 Bsfilter
34     for Bsfilter plugin support
35     http://sourceforge.jp/projects/bsfilter/
36 Canberra (>= 0.6)
37     for some sound features of Notification plugin
38     http://0pointer.de/lennart/projects/libcanberra/
39 compface
40     for X-Face support
41     http://freshmeat.net/projects/compface/
42 Clam AntiVirus daemon
43     for Clamd plugin support
44     http://www.clamav.net/
45 D-Bus (>= 0.60)
46     for interprocess communication support
47     http://www.freedesktop.org/wiki/Software/dbus
48 Enchant (and dictionaries) (>= 1.0.0)
49     for spell-checker support
50     http://www.abisource.com/enchant/
51 GData (>= 0.6.4)
52     for GData plugin support
53     https://live.gnome.org/libgdata/
54 GnuPG (>= 1.2.1) and GPGME (>=  0.4.5)
55     for GnuPG and S/MIME plugin support
56     http://www.gnupg.org/
57     ftp://ftp.gnupg.org/gcrypt/gpgme/
58 GnuTLS (>= 0.4.2)
59     for SSL support
60     http://www.gnu.org/software/gnutls/
61 GTK+ WebKit (>= 1.0)
62     for Fancy plugin support
63     http://trac.webkit.org/wiki/WebKitGTK/
64 Gs tool
65     for PostScript feature of PDF Viewer plugin
66     http://pages.cs.wisc.edu/~ghost/
67 Indicate (>= 0.3.0)
68     for indicator feature of Notification plugin
69     https://launchpad.net/libindicator/
70 J-Pilot
71     for J-Pilot support
72     http://www.jpilot.org/
73 LCDproc daemon
74     for lcdproc feature of Notification plugin
75     http://www.lcdproc.org
76 libEtPan! (>= 0.57)
77     for IMAP4, NNTP and Mailmbox plugin support
78     http://www.etpan.org
79 Network Manager (>= 0.6.2)
80     for support for detection of network connection changes
81     http://www.gnome.org/projects/NetworkManager/
82 OpenLDAP (>= 2.0.7)
83     for LDAP support
84     http://www.openldap.org/
85 Perl (>= 5.8.0)
86     for perl plugin support
87     http://www.perl.org/
88 Poppler (>= 0.4.2)
89     for PDF Viewer plugin support
90     http://poppler.freedesktop.org/       
91 GnuTLS (>= 0.4.2)
92     for SSL support
93     http://www.gnu.org/software/gnutls/
94 PyGTK (>= 2.10.3) 
95     for Python plugin support
96     http://www.pygtk.org/
97 Python
98     for Python plugin support
99     http://python.org/
100 SpamAssassin
101     for SpamAssassin plugin support
102     http://spamassassin.apache.org/
103
104
105 Options for configure script
106 ============================
107 For list of available options, refer to "./configure --help".
108
109 Most options are automatically enabled if the dependencies
110 are matched.
111
112